import unittest

from util import req


class MyTest(unittest.TestCase):
    def setUp(self) -> None:
        # self.host = "http://172.18.150.154:8080"  # dev
        self.host = "http://172.18.232.249:8080"  # test
        # self.host = "http://172.18.150.210:8080"  # 仿真环境

    def test_bcard(self):
        data = {
            "creditcode": "911406003257503449",
            "custCode": "140621198002054910",
            "bussCode": "EDBH608140254985360710",
            "telNum": "13935101575",
            "channelCode": "HZJG3822434947192730559615279481"
        }
        res_json = req(self.host + "/riskAi/bCard/getBCardModel", data)

    def test_shapley(self):
        json_data = {
            "creditcode": "9113028134767651X9",
            "custCode": "140621198002054910",
            "bussCode": "EDBH608140254985360710",
            "telNum": "13935101575",
            "channelCode": "HZJG3822434947192730559615279481"
        }

        req(self.host + "/riskAi/overduePredictionModel/getShapleyBillOverdue", json_data)
        req(self.host + "/riskAi/overduePredictionModel/getShapleyFinTaxOverdue", json_data)
